summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbin/mw17
-rw-r--r--share/mutt-wizard.muttrc3
2 files changed, 9 insertions, 11 deletions
diff --git a/bin/mw b/bin/mw
index cf5011a..e02d3ab 100755
--- a/bin/mw
+++ b/bin/mw
@@ -48,7 +48,7 @@ port ${sport:-587}
from $fulladdr
user $login
passwordeval \"pass $pass_prefix$fulladdr\"
-$starttlsoff
+$tlsline
"
mbsync_profile="IMAPStore $fulladdr-remote
Host $imap
@@ -170,7 +170,7 @@ askinfo() { \
read -r imap
[ -z "$smtp" ] && echo "Give your email server's SMTP address (excluding the port number):" &&
read -r smtp
- [ "$sport" = 465 ] && starttlsoff="tls_starttls off"
+ [ "$sport" = 465 ] && tlsline="tls_starttls off"
[ -z "$realname" ] && echo "Give the name you would like to be identified by on the email account:" &&
read -r realname
login="${login:-$fulladdr}"
@@ -210,10 +210,6 @@ writeinfo() { mkdir -p "$muttdir" "$accdir" "$cachedir/$fulladdr/bodies" "${XDG_
notmuchauto # Create a notmuch config file if not present already.
}
-protonfinger() { printf "Getting Protonmail bridge fingerprint...\\n"
- fingerprint="$(msmtp --serverinfo --host=$smtp --port=$sport --tls --tls-certcheck=off | grep SHA256: | sed 's/^.*: //')"
- sed -ibu "s/account $fulladdr/&\ntls_trust_file\ntls_fingerprint $fingerprint/" "$msmtprc" ; rm -f "$msmtprc"bu ;}
-
getpass() { while : ; do pass rm -f "$pass_prefix$fulladdr" >/dev/null 2>&1
pass insert "$pass_prefix$fulladdr" && break; done ;}
@@ -318,7 +314,7 @@ while getopts "fplhdYD:y:i:I:s:S:u:a:n:x:" o; do case "${o}" in
smtp="127.0.0.1"
sport="1025"
ssltype="None"
- protonfinger
+ tlsline="tls_fingerprint $(msmtp --serverinfo --host=$smtp --port=$sport --tls --tls-certcheck=off | awk '/SHA256:/ {print $2}')"
setact add || exit 1
;;
*) cat << EOF
@@ -334,12 +330,13 @@ Main actions:
-Y Sync mail for all accounts
Options allowed with -a:
- -u Account login name if not full address.
- -n "Real name" to be on the email account.
+ -u Account login name if not full address
+ -n "Real name" to be on the email account
-i IMAP server address
-I IMAP server port
-s SMTP server address
-S SMTP server port
+ -x Password for account (recommended to be in double quotes)
-p Install for a Protonmail account.
-o Configure address, but keep mail online.
-b Assume typical English mailboxes without attempting log-on.
@@ -357,7 +354,7 @@ esac done
case "$action" in
list) list ;;
- add) askinfo && getprofiles && writeinfo && getboxes && finalize || delete ;;
+ add) askinfo && getprofiles && writeinfo && getboxes && finalize || { delete ; exit 1 ;} ;;
delete) delete $fulladdr ;;
sync) syncwrapper $fulladdr ;;
esac
diff --git a/share/mutt-wizard.muttrc b/share/mutt-wizard.muttrc
index ac4883e..94401e8 100644
--- a/share/mutt-wizard.muttrc
+++ b/share/mutt-wizard.muttrc
@@ -22,8 +22,9 @@ set forward_quote # include message in forwards
set reverse_name # reply as whomever it was to
set include # include message in replies
set mail_check=60 # to avoid lags using IMAP with some email providers (yahoo for example)
-auto_view text/html # automatically show html (mailcap uses w3m)
+auto_view text/html # automatically show html (mailcap uses lynx)
auto_view application/pgp-encrypted
+set display_filter = "tac | sed '/\\\[-- Autoview/,+1d' | tac" # Suppress autoview messages.
alternative_order text/plain text/enriched text/html
bind index,pager i noop
bind index,pager g noop